Package commoble.bagofyurting

# Class TransientPlayerData

java.lang.Object
commoble.bagofyurting.TransientPlayerData

public class TransientPlayerData extends Object
Class that holds information on players on the server This should only be referenced from the server thread Data should be considered temporary, no data is saved on Level save

## Constructor Summary

Constructors
Constructor
Description
`TransientPlayerData()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isPlayerOverridingSafetyList​(UUID id)`
`static void`
`setOverridingSafetyList​(UUID id, boolean isSprinting)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransientPlayerData

public TransientPlayerData()

## Method Details

### setOverridingSafetyList

public static void setOverridingSafetyList​(UUID id, boolean isSprinting)

### isPlayerOverridingSafetyList

public static boolean isPlayerOverridingSafetyList​(UUID id)